#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "t_spi.h"
#include "t_iic.h"
#include "t_task.h"
#include "t_arg.h"

void Test(char *name, void (*pFunction)()) {
    printf("\n------< %s TEST >------\n", name);
    pFunction();
    printf("\n------< %s END >------\n", name);
}

int main() {
    srand((unsigned)time(NULL));
    Test("SPI", Test_spi);
    Test("IIC", Test_iic);
    Test("ArgPase", Test_argpase);
    Test("Task", Test_task);
    return 0;
}
